From 0d3a7357fd59d126d147196775a9db0879e7af3e Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 26 2020 01:02:14 +0000
Subject: [PATCH 420/2232] Remove unimplemented constructors from rust::Vec header


---

diff --git a/include/cxx.h b/include/cxx.h
index 250eba2..5f369d4 100644
--- a/include/cxx.h
+++ b/include/cxx.h
@@ -209,9 +209,6 @@ public:
   bool empty() const noexcept { return size() == 0; }
 
 private:
-  Vec() noexcept;
-  Vec(const Vec &other) noexcept;
-  Vec &operator=(Vec other) noexcept;
   void drop() noexcept;
 
   // Size and alignment statically verified by rust_vec.rs.

